#include <stdio.h>

int main() {
    int n,i,j;
    double sum = 0.0;

    scanf("%d", &n);

    for (i = 1; i <= n; i++) {
        double temp = 0.0;
        for (j = 1; j <= i; j++) {
            temp += j;
        }
        sum += 1.0 / temp;
    }

    printf("%.4f\n", sum);

    return 0;
}
